Subject: Re: bug#3208: 23.0.93; Memory full / crash when displaying lots of characters from a large font (like Arial Unicode or Code2000) which is not explicitly selected (on Win32)

From: Kenichi Handa <[email-masked]>
Date: Wed, 24 Jun 2009 13:26:17 +0900

In article <[email-masked]>, Jason Rumney <[email-masked]> writes:

> Part of the recipe is that you don't set Arial Unicode MS as the default 
> font, you let the font fallback find it (in the case of the original 
> report, or MS Mincho in my case).

Although I still can't reproduce the problem (except for the
very slowness redisplay), I noticed some inefficiency in
fontset_font.  So, I've installed an improvement in the
TRUNK.  As a result, in the case of inserting many #x2203,
the redisplay got faster.

Could you please test it?

---
Kenichi Handa
[email-masked]